Package: libdbix-class-helpers-perl / 2.023007-1

0001-Fix-a-strictness-error-in-a-deprecated-module.patch Patch series | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
From 3502789f7aaabf4490fb060e238d69258704ee26 Mon Sep 17 00:00:00 2001
From: Niko Tyni <ntyni@debian.org>
Date: Fri, 19 Sep 2014 12:54:58 +0300
Subject: [PATCH] Fix a strictness error in a deprecated module

The deprecation messages refer to $VERSION, which isn't
declared despite 'use strict'. This causes a compile
time error.
---
 lib/DBIx/Class/Helper/ResultSet/VirtualView.pm | 1 +
 1 file changed, 1 insertion(+)

--- a/lib/DBIx/Class/Helper/ResultSet/VirtualView.pm
+++ b/lib/DBIx/Class/Helper/ResultSet/VirtualView.pm
@@ -2,6 +2,7 @@
 $DBIx::Class::Helper::ResultSet::VirtualView::VERSION = '2.023007';
 use strict;
 use warnings;
+use vars qw($VERSION);
 
 # ABSTRACT: Clean up your SQL namespace (DEPRECATED)